Plesk\backup\Agent\Schema\Backup\UserType\LimitsAndPermissionsAType:
    properties:
        roleRef:
            expose: true
            access_type: public_method
            serialized_name: role-ref
            xml_element:
                cdata: false
            accessor:
                getter: getRoleRef
                setter: setRoleRef
            type: string
        assignedApplication:
            expose: true
            access_type: public_method
            serialized_name: assigned-application
            xml_element:
                cdata: false
            accessor:
                getter: getAssignedApplication
                setter: setAssignedApplication
            xml_list:
                inline: true
                entry_name: assigned-application
            type: array<string>
